package cn.com.ctop.manage.modules.actor.service.impl;

import cn.com.ctop.manage.modules.actor.entity.ActorComment;
import cn.com.ctop.manage.modules.actor.mapper.ActorCommentMapper;
import cn.com.ctop.manage.modules.actor.service.IActorCommentService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ActorCommentServiceImpl extends ServiceImpl<ActorCommentMapper, ActorComment> implements IActorCommentService {
    @Autowired
    private ActorCommentMapper actorCommentMapper;
    @Override
    public List<JSONObject> getCityList() {
        return actorCommentMapper.getCityList();
    }

    @Override
    public List<JSONObject> getTagList() {
        return actorCommentMapper.getTagList();
    }

    @Override
    public String getCityName(Integer actorCityId) {
        return actorCommentMapper.getCityName(actorCityId);
    }

    @Override
    public String geTagName(Long integer) {
        return actorCommentMapper.geTagName(integer);
    }

    @Override
    public void addTag(Long actorId, Long tagId, String tagName) {
        actorCommentMapper.addTag(actorId,tagId,tagName);
    }

    @Override
    public List<Long> getTagListBy(Long actorId) {
        return actorCommentMapper.getTagListBy(actorId);
    }

    @Override
    public List<String> getTagsNames(Long id) {
        return actorCommentMapper.getTagsId(id);
    }

    @Override
    public void deleteTagByActorId(Long actorId) {
        actorCommentMapper.deleteTagByActorId(actorId);
    }

    @Override
    public List<Long> getActorIds(List<Long> tagIds) {
        return actorCommentMapper.getActorIds(tagIds);
    }
}
